curl --request POST \
--url https://api.gcore.com/cloud/v1/ai/clusters/{project_id}/{region_id}/check_limits \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"flavor": "<string>",
"instances_count": 1,
"interfaces": [
{
"type": "external",
"interface_name": "<string>",
"ip_family": "ipv4"
}
]
}
'import requests
url = "https://api.gcore.com/cloud/v1/ai/clusters/{project_id}/{region_id}/check_limits"
payload = {
"flavor": "<string>",
"instances_count": 1,
"interfaces": [
{
"type": "external",
"interface_name": "<string>",
"ip_family": "ipv4"
}
]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
flavor: '<string>',
instances_count: 1,
interfaces: [{type: 'external', interface_name: '<string>', ip_family: 'ipv4'}]
})
};
fetch('https://api.gcore.com/cloud/v1/ai/clusters/{project_id}/{region_id}/check_limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"baremetal_basic_count_limit": 0,
"baremetal_basic_count_requested": 1,
"baremetal_basic_count_usage": 0,
"baremetal_gpu_a100_count_limit": 0,
"baremetal_gpu_a100_count_requested": 1,
"baremetal_gpu_a100_count_usage": 0,
"baremetal_gpu_h100_count_limit": 0,
"baremetal_gpu_h100_count_requested": 1,
"baremetal_gpu_h100_count_usage": 0,
"baremetal_gpu_h200_count_limit": 0,
"baremetal_gpu_h200_count_requested": 1,
"baremetal_gpu_h200_count_usage": 0,
"baremetal_gpu_l40s_count_limit": 0,
"baremetal_gpu_l40s_count_requested": 1,
"baremetal_gpu_l40s_count_usage": 0,
"baremetal_hf_count_limit": 0,
"baremetal_hf_count_requested": 1,
"baremetal_hf_count_usage": 0,
"baremetal_infrastructure_count_limit": 0,
"baremetal_infrastructure_count_requested": 1,
"baremetal_infrastructure_count_usage": 0,
"baremetal_network_count_limit": 0,
"baremetal_network_count_requested": 1,
"baremetal_network_count_usage": 0,
"baremetal_storage_count_limit": 0,
"baremetal_storage_count_requested": 1,
"baremetal_storage_count_usage": 0,
"caas_container_count_limit": 0,
"caas_container_count_requested": 1,
"caas_container_count_usage": 0,
"caas_cpu_count_limit": 0,
"caas_cpu_count_requested": 1,
"caas_cpu_count_usage": 0,
"caas_gpu_count_limit": 0,
"caas_gpu_count_requested": 1,
"caas_gpu_count_usage": 0,
"caas_ram_size_limit": 0,
"caas_ram_size_requested": 1,
"caas_ram_size_usage": 0,
"cluster_count_limit": 0,
"cluster_count_requested": 1,
"cluster_count_usage": 0,
"cpu_count_limit": 0,
"cpu_count_requested": 1,
"cpu_count_usage": 0,
"dbaas_postgres_cluster_count_limit": 0,
"dbaas_postgres_cluster_count_requested": 1,
"dbaas_postgres_cluster_count_usage": 0,
"external_ip_count_limit": 0,
"external_ip_count_requested": 1,
"external_ip_count_usage": 0,
"faas_cpu_count_limit": 0,
"faas_cpu_count_requested": 1,
"faas_cpu_count_usage": 0,
"faas_function_count_limit": 0,
"faas_function_count_requested": 1,
"faas_function_count_usage": 0,
"faas_namespace_count_limit": 0,
"faas_namespace_count_requested": 1,
"faas_namespace_count_usage": 0,
"faas_ram_size_limit": 0,
"faas_ram_size_requested": 1,
"faas_ram_size_usage": 0,
"firewall_count_limit": 0,
"firewall_count_requested": 1,
"firewall_count_usage": 0,
"floating_count_limit": 0,
"floating_count_requested": 1,
"floating_count_usage": 0,
"gpu_count_limit": 0,
"gpu_count_requested": 1,
"gpu_count_usage": 0,
"gpu_virtual_a100_count_limit": 0,
"gpu_virtual_a100_count_requested": 1,
"gpu_virtual_a100_count_usage": 0,
"gpu_virtual_h100_count_limit": 0,
"gpu_virtual_h100_count_requested": 1,
"gpu_virtual_h100_count_usage": 0,
"gpu_virtual_h200_count_limit": 0,
"gpu_virtual_h200_count_requested": 1,
"gpu_virtual_h200_count_usage": 0,
"gpu_virtual_l40s_count_limit": 0,
"gpu_virtual_l40s_count_requested": 1,
"gpu_virtual_l40s_count_usage": 0,
"image_count_limit": 0,
"image_count_requested": 1,
"image_count_usage": 0,
"image_size_limit": 0,
"image_size_requested": 1,
"image_size_usage": 0,
"ipu_count_limit": 0,
"ipu_count_requested": 1,
"ipu_count_usage": 0,
"laas_topic_count_limit": 0,
"laas_topic_count_requested": 1,
"laas_topic_count_usage": 0,
"loadbalancer_count_limit": 0,
"loadbalancer_count_requested": 1,
"loadbalancer_count_usage": 0,
"network_count_limit": 0,
"network_count_requested": 1,
"network_count_usage": 0,
"ram_limit": 0,
"ram_requested": 1,
"ram_usage": 0,
"registry_count_limit": 0,
"registry_count_requested": 1,
"registry_count_usage": 0,
"registry_storage_limit": 0,
"registry_storage_requested": 1,
"registry_storage_usage": 0,
"router_count_limit": 0,
"router_count_requested": 1,
"router_count_usage": 0,
"secret_count_limit": 0,
"secret_count_requested": 1,
"secret_count_usage": 0,
"servergroup_count_limit": 0,
"servergroup_count_requested": 1,
"servergroup_count_usage": 0,
"sfs_count_limit": 0,
"sfs_count_requested": 1,
"sfs_count_usage": 0,
"sfs_size_limit": 0,
"sfs_size_requested": 1,
"sfs_size_usage": 0,
"shared_vm_count_limit": 0,
"shared_vm_count_requested": 1,
"shared_vm_count_usage": 0,
"snapshot_schedule_count_limit": 0,
"snapshot_schedule_count_requested": 1,
"snapshot_schedule_count_usage": 0,
"subnet_count_limit": 0,
"subnet_count_requested": 1,
"subnet_count_usage": 0,
"vm_count_limit": 0,
"vm_count_requested": 1,
"vm_count_usage": 0,
"volume_count_limit": 0,
"volume_count_requested": 1,
"volume_count_usage": 0,
"volume_size_limit": 0,
"volume_size_requested": 1,
"volume_size_usage": 0,
"volume_snapshots_count_limit": 0,
"volume_snapshots_count_requested": 1,
"volume_snapshots_count_usage": 0,
"volume_snapshots_size_limit": 0,
"volume_snapshots_size_requested": 1,
"volume_snapshots_size_usage": 0
}Check GPU cluster quotas
Check if there are sufficient quotas to create a GPU cluster.
Determines whether the regional quota is exceeded and, if so,
calculates the additional quota required.
Use /v3/gpu/baremetal/{project_id}/{region_id}/check_limits
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
1
Region ID
1
Body
AI cluster flavor name
Number of instances to create
x >= 1Subnet IPs and floating IPs
- CreateGPUClusterExternalInterfaceSerializer
- CreateGPUClusterSubnetInterfaceSerializer
- CreateGPUClusterAnySubnetInterfaceSerializer
Show child attributes
Show child attributes
Response
OK
Basic bare metal servers count limit
0
Basic bare metal servers count requested
1
Basic bare metal servers count usage
0
Bare metal A100 GPU server count limit
0
Bare metal A100 GPU server count requested
1
Bare metal A100 GPU server count usage
0
Bare metal H100 GPU server count limit
0
Bare metal H100 GPU server count requested
1
Bare metal H100 GPU server count usage
0
Bare metal H200 GPU server count limit
0
Bare metal H200 GPU server count requested
1
Bare metal H200 GPU server count usage
0
Bare metal L40S GPU server count limit
0
Bare metal L40S GPU server count requested
1
Bare metal L40S GPU server count usage
0
High-frequency bare metal servers count limit
0
High-frequency bare metal servers count requested
1
High-frequency bare metal servers count usage
0
Infrastructure bare metal servers count limit
0
Infrastructure bare metal servers count requested
1
Infrastructure bare metal servers count usage
0
Bare metal Network Count limit
0
Bare metal Network Count requested
1
Bare metal Network Count usage
0
Storage bare metal servers count limit
0
Storage bare metal servers count requested
1
Storage bare metal servers count usage
0
Containers count limit
0
Containers count requested
1
Containers count usage
0
mCPU count for containers limit
0
mCPU count for containers requested
1
mCPU count for containers usage
0
Containers gpu count limit
0
Containers gpu count requested
1
Containers gpu count usage
0
MiB memory count for containers limit
0
MiB memory count for containers requested
1
MiB memory count for containers usage
0
K8s clusters count limit
0
K8s clusters count requested
1
K8s clusters count usage
0
vCPU Count limit
0
vCPU Count requested
1
vCPU Count usage
0
DBaaS cluster count limit
0
DBaaS cluster count requested
1
DBaaS cluster count usage
0
External IP Count limit
0
External IP Count requested
1
External IP Count usage
0
mCPU count for functions limit
0
mCPU count for functions requested
1
mCPU count for functions usage
0
Functions count limit
0
Functions count requested
1
Functions count usage
0
Functions namespace count limit
0
Functions namespace count requested
1
Functions namespace count usage
0
MiB memory count for functions limit
0
MiB memory count for functions requested
1
MiB memory count for functions usage
0
Firewalls Count limit
0
Firewalls Count requested
1
Firewalls Count usage
0
Floating IP Count limit
0
Floating IP Count requested
1
Floating IP Count usage
0
GPU Count limit
0
GPU Count requested
1
GPU Count usage
0
Virtual A100 GPU card count limit
0
Virtual A100 GPU card count requested
1
Virtual A100 GPU card count usage
0
Virtual H100 GPU card count limit
0
Virtual H100 GPU card count requested
1
Virtual H100 GPU card count usage
0
Virtual H200 GPU card count limit
0
Virtual H200 GPU card count requested
1
Virtual H200 GPU card count usage
0
Virtual L40S GPU card count limit
0
Virtual L40S GPU card count requested
1
Virtual L40S GPU card count usage
0
Images Count limit
0
Images Count requested
1
Images Count usage
0
Images Size, bytes limit
0
Images Size, bytes requested
1
Images Size, bytes usage
0
IPU Count limit
0
IPU Count requested
1
IPU Count usage
0
LaaS Topics Count limit
0
LaaS Topics Count requested
1
LaaS Topics Count usage
0
Load Balancers Count limit
0
Load Balancers Count requested
1
Load Balancers Count usage
0
Networks Count limit
0
Networks Count requested
1
Networks Count usage
0
RAM Size, MiB limit
0
RAM Size, MiB requested
1
RAM Size, MiB usage
0
Registries count limit
0
Registries count requested
1
Registries count usage
0
Registries volume usage, GiB limit
0
Registries volume usage, GiB requested
1
Registries volume usage, GiB usage
0
Routers Count limit
0
Routers Count requested
1
Routers Count usage
0
Secret Count limit
0
Secret Count requested
1
Secret Count usage
0
Placement Group Count limit
0
Placement Group Count requested
1
Placement Group Count usage
0
Shared file system Count limit
0
Shared file system Count requested
1
Shared file system Count usage
0
Shared file system Size, GiB limit
0
Shared file system Size, GiB requested
1
Shared file system Size, GiB usage
0
Basic VMs Count limit
0
Basic VMs Count requested
1
Basic VMs Count usage
0
Snapshot Schedules Count limit
0
Snapshot Schedules Count requested
1
Snapshot Schedules Count usage
0
Subnets Count limit
0
Subnets Count requested
1
Subnets Count usage
0
Instances Dedicated Count limit
0
Instances Dedicated Count requested
1
Instances Dedicated Count usage
0
Volumes Count limit
0
Volumes Count requested
1
Volumes Count usage
0
Volumes Size, GiB limit
0
Volumes Size, GiB requested
1
Volumes Size, GiB usage
0
Snapshots Count limit
0
Snapshots Count requested
1
Snapshots Count usage
0
Snapshots Size, GiB limit
0
Snapshots Size, GiB requested
1
Snapshots Size, GiB usage
0
Was this page helpful?